
Redmine - Defect #31411

Internal Error (r18182)

2019-05-21 07:40 - ChunChang (Nagaharu) Lo

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Hello,

I got this error after updating my site to r18182

Started GET "/" for 59.210.213.187 at 2019-05-21 13:30:36 +0800

Processing by WelcomeController#index as HTML

  Current user: anonymous

  Rendering welcome/index.html.erb within layouts/base

  Rendered welcome/index.html.erb within layouts/base (38.9ms)

Completed 500 Internal Server Error in 205ms (ActiveRecord: 21.9ms)

ActionView::Template::Error (uninitialized constant Redmine::ProjectJumpBox):

    79:         <%= hidden_field_tag(controller.default_search_scope, 1, :id => nil) if controller

.default_search_scope %>

    80:         <label for='q'>

    81:           <%= link_to l(:label_search), {:controller => 'search', :action => 'index', :id 

=> @project, :scope => default_search_project_scope}, :accesskey => accesskey(:s

    82:         </label>

    83:         <%= text_field_tag 'q', @question, :size => 20, :class => 'small', :accesskey => a

ccesskey(:quick_search) %>

    84:         <% end %>

    85:         <%= render_project_jump_box %>

app/helpers/application_helper.rb:428:in `render_projects_for_jump_box'

app/helpers/application_helper.rb:478:in `render_project_jump_box'

app/views/layouts/base.html.erb:82:in `_app_views_layouts_base_html_erb___758285660296745932_57533

560'

lib/redmine/sudo_mode.rb:65:in `sudo_mode'

 any suggestion to fix this error?

thanks.

Related issues:

Related to Redmine - Feature #31355: Bookmarks and recently used projects for... Closed

History

#1 - 2019-05-21 07:42 - Go MAEDA

Probably #31355#note-11 fixes the problem. I am going to commit the fix later. Sorry for the inconvenience.

#2 - 2019-05-21 07:50 - ChunChang (Nagaharu) Lo

Hello,

it's okay.

thanks for the info.

good to know that it had been fixed already.

#3 - 2019-05-21 10:31 - Go MAEDA

2025-05-02 1/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/18182
https://www.redmine.org/issues/31355#note-11


- Status changed from New to Closed

- Resolution set to Fixed

Committed the fix. Thank you for checking the fix.

#4 - 2019-05-21 10:31 - Go MAEDA

- Related to Feature #31355: Bookmarks and recently used projects for the project jump box added
